Skip to main content
DELETE
Delete recommendation view

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

recommendation_view_token
string
required

Response

RecommendationView model

tags
object[]
required

Complete tag selections. Values within each key match any value; selections match together. Use tags without tag_key or tag_value in requests.

token
string | null
title
string | null

The title of the RecommendationView.

Example:

"Production Recommendations"

workspace_token
string | null

The token for the Workspace the RecommendationView is a part of.

start_date
string | null

Filter recommendations created on/after this YYYY-MM-DD date.

Example:

"2024-01-01"

end_date
string | null

Filter recommendations created on/before this YYYY-MM-DD date.

Example:

"2024-12-31"

provider_ids
string[] | null

Filter by one or more providers.

billing_account_ids
string[] | null

Filter by billing account identifiers.

account_ids
string[] | null

Filter by cloud account identifiers.

regions
string[] | null

Filter by region slugs (e.g. us-east-1, eastus, asia-east1).

types
string[] | null

Filter by one or more recommendation type slugs.

tag_key
string | null

Legacy tag key for the first selection. For complete selections, use tags. Do not combine these formats in requests.

Example:

"environment"

tag_value
string | null

Legacy first value of the first selection. For complete selections, use tags. Do not combine these formats in requests.

Example:

"production"

min_savings
number<float> | null

Filter recommendations with at least this amount of potential savings.

Example:

100.5

created_at
string | null

The date and time, in UTC, the view was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

created_by
string | null

The token for the Creator of this RecommendationView.